// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.16.0
// source: dashboard.sql

package db

import (
	"context"

	"github.com/google/uuid"
)

const getUserBalanceByUserId = `-- name: GetUserBalanceByUserId :one
SELECT user_id, income, expend, balance FROM public.user_balance
WHERE user_id = $1
LIMIT 1
`

func (q *Queries) GetUserBalanceByUserId(ctx context.Context, userID uuid.UUID) (UserBalance, error) {
	row := q.db.QueryRowContext(ctx, getUserBalanceByUserId, userID)
	var i UserBalance
	err := row.Scan(
		&i.UserID,
		&i.Income,
		&i.Expend,
		&i.Balance,
	)
	return i, err
}
